.panel.panel-default{"ng-controller" => "LabourAvailabilityCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary Labour Availability
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th{:style => "text-align:center;"} Particulars
            %th{:style => "text-align:center;"} Men
            %th{:style => "text-align:center;"} Women
            %th{:style => "text-align:center;"} Adequacy

        %tbody
          %tr
            %td{:style=> "width:41%;"}
              Family labour availability 
              %strong
                (man-days)
              for agriculture (own farming)
            %td
              = number_field :family_labour_men, '',:class => "form-control", "ng-model" => "vm.family_labour_men"
            %td
              = number_field :family_labour_women, '',:class => "form-control", "ng-model" => "vm.family_labour_women"
            %td
              = select_tag :family_adequacy, options_for_select(["Adequate", "Inadequate"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.family_adequacy"
          %tr
            %td{:style=> "width:41%;"}
              Hired Labour availability
              %strong
                (man-days)
              in the village for agriculture
            %td
              = number_field :hired_labour_men, '',:class => "form-control", "ng-model" => "vm.hired_labour_men"
            %td
              = number_field :hired_labour_women, '',:class => "form-control", "ng-model" => "vm.hired_labour_women"
            %td
              = select_tag :hired_adequacy, options_for_select(["Adequate", "Inadequate"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.hired_adequacy"
              
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Save
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "submit()"} Update
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel
    %button{"ng-if" => "vm.has_anyone_migrated != true",:class => "btn btn-primary btn-sm pull-right", "ng-click" => "next()"}
      %i.fa.fa-chevron-right{"aria-hidden"=>"true", :style=>"color:#FFF"}
    %button{"ng-if" => "vm.has_anyone_migrated != true",:class => "btn btn-primary btn-sm pull-right", "ng-click" => "prev()", :style => "margin-right:5px"} 
      %i.fa.fa-chevron-left{"aria-hidden"=>"true", :style=>"color:#FFF"}

.col-lg-12
  %div{:style => "float:left; line-height:24px;padding-top:5px;"}
    Has any member of the family migrated ?
  %div{:style => "float:left;margin: -10px 0px 0px 10px;"}
    %select{"ng-model" => "vm.has_anyone_migrated", "ng-options" => "boolToStr(item) for item in [true, false]", "ng-change" => "save_migration_option()",:class => "form-control"}
      %option{:value=>'', :selected => 'selected'} Select 
      
  %div{:style=> "clear:both;"}
%br
%br
.panel.panel-default{"ng-if" => "vm.has_anyone_migrated === true", "ng-controller" => "LabourMigrationsCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary Migration Details
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th Family Member
            %th Gender
            %th Duration (months)
            %th Distance migrated (km)
            %th Place
            %th Purpose
            %th Savings (₹)
            %th{:style => "width:75px;"}

     
        %tbody
          %tr{ "ng-repeat" => "migration_detail in data_list "}
            %td{:style => "text-align:center;"} {{ migration_detail.socio_demographic_info.farmer_member_name}}
            %td{:style => "text-align:center;"} {{ migration_detail.gender}}
            %td{:style => "text-align:center;"} {{ migration_detail.duration }}
            %td{:style => "text-align:center;"} {{ migration_detail.distance_migrated }}
            %td{:style => "text-align:center;"} {{ migration_detail.place }}
            %td{:style => "text-align:center;"} {{ migration_detail.migration_purpose.name }}
            %td{:style => "text-align:center;"} {{ migration_detail.savings }}
            %td
              %a{ "ng-click" => "edit(migration_detail.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(migration_detail.id, migration_detail.url);" } 
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
          %tr
            %td
              %select{"ng-model" => "vm.socio_demographic_info", "ng-options" => "socio_demographic_info.farmer_member_name for socio_demographic_info in socio_demographic_infos track by socio_demographic_info.id",:class => "form-control", "ng-change" => "change()", :class => "form-control"}
                %option{:value=>'', :selected => 'selected'} Select
            %td
              = text_field :gender, '', :class => "form-control", "ng-model" => "vm.gender"
            %td
              = number_field :duration, '',:class => "form-control", "ng-model" => "vm.duration"
            %td
              = number_field :distance_migrated, '',:class => "form-control", "ng-model" => "vm.distance_migrated"
            %td
              = text_field :place, '',:class => "form-control", "ng-model" => "vm.place"
            %td
              %select{"ng-model" => "vm.migration_purpose", "ng-options" => "migration_purpose.name for migration_purpose in migration_purposes track by migration_purpose.id", :class => "form-control"}
                %option{:value=>'', :selected => 'selected'} Select
            %td
              = number_field :savings, '',:class => "form-control", "ng-model" => "vm.savings"
              
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel


.panel.panel-default{"ng-if" => "vm.has_anyone_migrated === true", "ng-controller" => "MigrationConsequenceCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary Migration consequences
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th  
            %th Positive consequences
            %th Negative consequences

     
        %tbody
          %tr
            %td{:style=> "width:41%;"}
              Did migration have any effect on households? If yes, what are the consequences? If No, select None
            %td
              %select{"ng-model" => "vm.migration_positive_consequence", "ng-options" => "migration_positive_consequence.name for migration_positive_consequence in migration_positive_consequences track by migration_positive_consequence.id", :class => "form-control"}
                %option{:value=>'', :selected => 'selected'} Select
            %td
              %select{"ng-model" => "vm.migration_negative_consequence", "ng-options" => "migration_negative_consequence.name for migration_negative_consequence in migration_negative_consequences track by migration_negative_consequence.id", :class => "form-control"}
                %option{:value=>'', :selected => 'selected'} Select
              
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Save
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "submit()"} Update
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "next()"}
      %i.fa.fa-chevron-right{"aria-hidden"=>"true", :style=>"color:#FFF"}
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "prev()", :style => "margin-right:5px"} 
      %i.fa.fa-chevron-left{"aria-hidden"=>"true", :style=>"color:#FFF"}
